/*!
 * Axios Cache Interceptor 1.5.1
 * (c) 2021-present Arthur Fiorette & Contributors
 * Released under the MIT License.
 */
!function(e,t){"object"==typeof exports&&"undefined"!=typeof module?t(exports,require("cache-parser"),require("fast-defer"),require("object-code")):"function"==typeof define&&define.amd?define(["exports","cache-parser","fast-defer","object-code"],t):t((e||self).axiosCacheInterceptor={},e.cacheParser,e.fastDefer,e.objectCode)}(this,function(e,t,r,n){var a=Object.freeze({IfModifiedSince:"if-modified-since",LastModified:"last-modified",IfNoneMatch:"if-none-match",CacheControl:"cache-control",Pragma:"pragma",ETag:"etag",Expires:"expires",Age:"age",XAxiosCacheEtag:"x-axios-cache-etag",XAxiosCacheLastModified:"x-axios-cache-last-modified",XAxiosCacheStaleIfError:"x-axios-cache-stale-if-error"}),o=function(e){if(!e)return"not enough headers";var r=e[a.CacheControl];if(r){var n=t.parse(String(r)),o=n.maxAge,i=n.maxStale,u=n.staleWhileRevalidate;if(n.noCache||n.noStore)return"dont cache";if(n.immutable)return{cache:31536e6};if(void 0!==o){var c=e[a.Age];return{cache:c?1e3*(o-Number(c)):1e3*o,stale:void 0!==i?1e3*i:void 0!==u?1e3*u:void 0}}}var s=e[a.Expires];if(s){var f=Date.parse(String(s))-Date.now();return f>=0?{cache:f}:"dont cache"}return"not enough headers"};function i(){return i=Object.assign?Object.assign.bind():function(e){for(var t=1;t<arguments.length;t++){var r=arguments[t];for(var n in r)Object.prototype.hasOwnProperty.call(r,n)&&(e[n]=r[n])}return e},i.apply(this,arguments)}function u(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}function c(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(r)return(r=r.call(e)).next.bind(r);if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return u(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?u(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0;return function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}function s(e){return e?function(t){return e(t)||304===t}:function(e){return e>=200&&e<300||304===e}}function f(e,t){return void 0===e&&(e="get"),void 0===t&&(t=[]),e=e.toLowerCase(),t.some(function(t){return t===e})}function d(e,t){t.headers||(t.headers={});var r=t.cache,n=r.etag,o=r.modifiedSince;if(n){var i,u=!0===n?null==(i=e.data)?void 0:i.headers[a.ETag]:n;u&&(t.headers[a.IfNoneMatch]=u)}o&&(t.headers[a.IfModifiedSince]=!0===o?e.data.headers[a.LastModified]||new Date(e.createdAt).toUTCString():o.toUTCString())}function h(e,t){return 304===e.status&&t?(e.cached=!0,e.data=t.data,e.status=t.status,e.statusText=t.statusText,e.headers=i({},t.headers,e.headers),t):{data:e.data,status:e.status,statusText:e.statusText,headers:e.headers}}function l(e){var t=function t(n){try{if(n.id=e.generateKey(n),!1===n.cache)return Promise.resolve(n);if(n.cache=i({},e.defaults.cache,n.cache),"object"==typeof n.cache.cachePredicate&&n.cache.cachePredicate.ignoreUrls&&n.url)for(var o,u=c(n.cache.cachePredicate.ignoreUrls);!(o=u()).done;){var h=o.value;if(h instanceof RegExp?(h.lastIndex=0,h.test(n.url)):n.url.includes(h))return Promise.resolve(n)}var l,v,m,g,p,y;return n.cache.cacheTakeover&&(null!=(l=n.headers)[v=a.CacheControl]||(l[v]="no-cache"),null!=(m=n.headers)[g=a.Pragma]||(m[g]="no-cache"),null!=(p=n.headers)[y=a.Expires]||(p[y]="0")),f(n.method,n.cache.methods)?Promise.resolve(e.storage.get(n.id,n)).then(function(a){var o;function i(r){var i,u;if(o)return r;function c(e){return i?e:(n.transformResponse=void 0,n.adapter=function(){return Promise.resolve({config:n,data:u.data,headers:u.headers,status:u.status,statusText:u.statusText,cached:!0,id:n.id})},n)}var s=function(){if("loading"===a.state){var r=function(e){return i?e:function(e,t){try{var r=Promise.resolve(o).then(function(e){u=e})}catch(e){return t()}return r&&r.then?r.then(void 0,t):r}(0,function(e){function r(){var e=t(n);return i=1,e}var o=function(){if(a.data)return Promise.resolve(null==n.cache.hydrate?void 0:n.cache.hydrate(a)).then(function(){})}();return o&&o.then?o.then(r):r()})},o=e.waiting[n.id],c=function(){if(!o){var e=function(){return i=1,n},t=function(){if(a.data)return Promise.resolve(null==n.cache.hydrate?void 0:n.cache.hydrate(a)).then(function(){})}();return t&&t.then?t.then(e):e()}}();return c&&c.then?c.then(r):r(c)}u=a.data}();return s&&s.then?s.then(c):c(s)}var u=n.cache.override,c=function(){if("empty"===a.state||"stale"===a.state||u){var t=function(){return e.waiting[n.id]=r.deferred(),e.waiting[n.id].catch(function(){}),Promise.resolve(e.storage.set(n.id,{state:"loading",previous:u?a.data?"stale":"empty":a.state,data:a.data,createdAt:u&&!a.createdAt?Date.now():a.createdAt},n)).then(function(){function e(){return o=1,n}"stale"===a.state&&d(a,n),n.validateStatus=s(n.validateStatus);var t=function(){if("stale"===a.state||a.data)return Promise.resolve(null==n.cache.hydrate?void 0:n.cache.hydrate(a)).then(function(){})}();return t&&t.then?t.then(e):e()})},i=function(){if(e.waiting[n.id]&&!u)return Promise.resolve(e.storage.get(n.id,n)).then(function(e){a=e})}();return i&&i.then?i.then(t):t()}}();return c&&c.then?c.then(i):i(c)}):Promise.resolve(n)}catch(e){return Promise.reject(e)}};return{onFulfilled:t,apply:function(){return e.interceptors.request.use(t)}}}const v="undefined"!=typeof Symbol?Symbol.iterator||(Symbol.iterator=Symbol("Symbol.iterator")):"@@iterator";function m(e,t,r){if(!e.s){if(r instanceof g){if(!r.s)return void(r.o=m.bind(null,e,t));1&t&&(t=r.s),r=r.v}if(r&&r.then)return void r.then(m.bind(null,e,t),m.bind(null,e,2));e.s=t,e.v=r;var n=e.o;n&&n(e)}}var g=/*#__PURE__*/function(){function e(){}return e.prototype.then=function(t,r){var n=new e,a=this.s;if(a){var o=1&a?t:r;if(o){try{m(n,1,o(this.v))}catch(e){m(n,2,e)}return n}return this}return this.o=function(e){try{var a=e.v;1&e.s?m(n,1,t?t(a):a):r?m(n,1,r(a)):m(n,2,a)}catch(e){m(n,2,e)}},n},e}();function p(e){return e instanceof g&&1&e.s}var y=function(e,t){try{var r=function(t){function r(r){var i;if(n&&!t||a&&!r)return!1;var u=function(){if(o)return function(e,t,r){if("function"==typeof e[v]){var n,a,o,i=e[v]();if(function e(u){try{for(;!((n=i.next()).done||r&&r());)if((u=t(n.value))&&u.then){if(!p(u))return void u.then(e,o||(o=m.bind(null,a=new g,2)));u=u.v}a?m(a,1,u):a=u}catch(e){m(a||(a=new g),2,e)}}(),i.return){var u=function(e){try{n.done||i.return()}catch(e){}return e};if(a&&a.then)return a.then(u,function(e){throw u(e)});u()}return a}if(!("length"in e))throw new TypeError("Object is not iterable");for(var c=[],s=0;s<e.length;s++)c.push(e[s]);return function(e,t,r){var n,a,o=-1;return function i(u){try{for(;++o<e.length&&(!r||!r());)if((u=t(o))&&u.then){if(!p(u))return void u.then(i,a||(a=m.bind(null,n=new g,2)));u=u.v}n?m(n,1,u):n=u}catch(e){m(n||(n=new g),2,e)}}(),n}(c,function(e){return t(c[e])},r)}(Object.entries(o),function(t){var r,n=t[0];return Promise.resolve((0,t[1])(null!=(r=e.headers[n.toLowerCase()])?r:e.headers[n])).then(function(e){if(!e)return i=1,!1})},function(){return i})}();return u&&u.then?u.then(function(e){return!i||e}):!i||u}return n&&!t||!a?r(n&&!t||a&&a(e)):Promise.resolve(n&&!t||a&&a(e)).then(r)};if("function"==typeof t)return Promise.resolve(t(e));var n=t.statusCheck,a=t.responseMatch,o=t.containsHeaders;return Promise.resolve(n?Promise.resolve(n(e.status)).then(r):r(n))}catch(e){return Promise.reject(e)}};const b="undefined"!=typeof Symbol?Symbol.iterator||(Symbol.iterator=Symbol("Symbol.iterator")):"@@iterator";function P(e,t,r){if(!e.s){if(r instanceof w){if(!r.s)return void(r.o=P.bind(null,e,t));1&t&&(t=r.s),r=r.v}if(r&&r.then)return void r.then(P.bind(null,e,t),P.bind(null,e,2));e.s=t,e.v=r;var n=e.o;n&&n(e)}}var w=/*#__PURE__*/function(){function e(){}return e.prototype.then=function(t,r){var n=new e,a=this.s;if(a){var o=1&a?t:r;if(o){try{P(n,1,o(this.v))}catch(e){P(n,2,e)}return n}return this}return this.o=function(e){try{var a=e.v;1&e.s?P(n,1,t?t(a):a):r?P(n,1,r(a)):P(n,2,a)}catch(e){P(n,2,e)}},n},e}();function S(e){return e instanceof w&&1&e.s}var x=function(e,t,r){try{if("function"==typeof r)return Promise.resolve(r(t));var n=function(e,t,r){if("function"==typeof e[b]){var n,a,o,i=e[b]();if(function e(r){try{for(;!(n=i.next()).done;)if((r=t(n.value))&&r.then){if(!S(r))return void r.then(e,o||(o=P.bind(null,a=new w,2)));r=r.v}a?P(a,1,r):a=r}catch(e){P(a||(a=new w),2,e)}}(),i.return){var u=function(e){try{n.done||i.return()}catch(e){}return e};if(a&&a.then)return a.then(u,function(e){throw u(e)});u()}return a}if(!("length"in e))throw new TypeError("Object is not iterable");for(var c=[],s=0;s<e.length;s++)c.push(e[s]);return function(e,t,r){var n,a,o=-1;return function r(i){try{for(;++o<e.length;)if((i=t(o))&&i.then){if(!S(i))return void i.then(r,a||(a=P.bind(null,n=new w,2)));i=i.v}n?P(n,1,i):n=i}catch(e){P(n||(n=new w),2,e)}}(),n}(c,function(e){return t(c[e])})}(Object.entries(r),function(r){var n=r[0],a=r[1];function o(){return Promise.resolve(e.get(n,t.config)).then(function(r){if("loading"!==r.state)return Promise.resolve(a(r,t)).then(function(r){function a(){var a=function(){if("ignore"!==r)return Promise.resolve(e.set(n,r,t.config)).then(function(){})}();if(a&&a.then)return a.then(function(){})}var o=function(){if("delete"===r)return Promise.resolve(e.remove(n,t.config)).then(function(){})}();return o&&o.then?o.then(a):a()})})}var i=function(){if("delete"===a)return Promise.resolve(e.remove(n,t.config)).then(function(){})}();return i&&i.then?i.then(o):o()});return Promise.resolve(n&&n.then?n.then(function(){}):void 0)}catch(e){return Promise.reject(e)}};function I(e){var r=function(t,r){try{return Promise.resolve(e.storage.remove(t,r)).then(function(){var r;null==(r=e.waiting[t])||r.reject(),delete e.waiting[t]})}catch(e){return Promise.reject(e)}},n=function(t){try{var n=function(){return f(o.method,i.methods)?Promise.resolve(e.storage.get(t.id,o)).then(function(n){function u(u){function s(u){var c;function s(r){if(c)return r;function u(){i.staleIfError&&(t.headers[a.XAxiosCacheStaleIfError]=String(m));var r={state:"cached",ttl:m,staleTtl:v,createdAt:Date.now(),data:s},n=e.waiting[t.id];return n&&(n.resolve(r.data),delete e.waiting[t.id]),Promise.resolve(e.storage.set(t.id,r,o)).then(function(){return t})}var s=h(t,n.data),f=function(){if("function"==typeof m)return Promise.resolve(m(t)).then(function(e){m=e})}();return f&&f.then?f.then(u):u()}for(var f=0,d=Object.keys(t.headers);f<d.length;f++){var l=d[f];l.startsWith("x-axios-cache")&&delete t.headers[l]}i.etag&&!0!==i.etag&&(t.headers[a.XAxiosCacheEtag]=i.etag),i.modifiedSince&&(t.headers[a.XAxiosCacheLastModified]=!0===i.modifiedSince?"use-cache-timestamp":i.modifiedSince.toUTCString());var v,m=i.ttl||-1,g=function(){if(i.interpretHeader){var n=function(e){if(c)return e;"not enough headers"!==a&&("number"==typeof a?m=a:(m=a.cache,v=a.stale))},a=e.headerInterpreter(t.headers),u=function(){if("dont cache"===a)return Promise.resolve(r(t.id,o)).then(function(){return c=1,t})}();return u&&u.then?u.then(n):n(u)}}();return g&&g.then?g.then(s):s(g)}var f=function(){if(c&&!u)return Promise.resolve(r(t.id,o)).then(function(){return t})}();return f&&f.then?f.then(s):s()}if("loading"!==n.state)return t;var c=!n.data;return c?Promise.resolve(y(t,i.cachePredicate)).then(u):u(c)}):t};if(null==t||!t.config)throw t;t.id=t.config.id,null!=t.cached||(t.cached=!1);var o=t.config,i=o.cache;if(t.cached)return Promise.resolve(t);if(!i)return t.cached=!1,Promise.resolve(t);var u=function(){if(i.update)return Promise.resolve(x(e.storage,t,i.update)).then(function(){})}();return Promise.resolve(u&&u.then?u.then(n):n())}catch(e){return Promise.reject(e)}},o=function(n){try{var o=function(o){return Promise.resolve(e.storage.get(u,i)).then(function(o){function f(f){var d;function h(e){return d?e:Promise.resolve(r(u,i)).then(function(){throw n})}var l=function(){if(c.staleIfError){var r=function(t){return function(){var r;if(!0===t||"number"==typeof t&&o.createdAt+t>Date.now())return null==(r=e.waiting[u])||r.resolve(o.data),delete e.waiting[u],Promise.resolve(e.storage.set(u,{state:"stale",createdAt:Date.now(),data:o.data},i)).then(function(){return d=1,{cached:!0,config:i,id:u,data:o.data.data,headers:o.data.headers,status:o.data.status,statusText:o.data.statusText}})}()},f=String(null==s?void 0:s.headers[a.CacheControl]),h=f&&t.parse(f).staleIfError;return"function"==typeof c.staleIfError?Promise.resolve(c.staleIfError(s,o,n)).then(r):r(!0===c.staleIfError&&h?1e3*h:c.staleIfError)}}();return l&&l.then?l.then(h):h(l)}var d=function(){if("loading"!==o.state||"stale"!==o.previous)return Promise.resolve(r(u,i)).then(function(){throw n})}();return d&&d.then?d.then(f):f()})};if(!n.isAxiosError||!n.config)throw n;var i=n.config,u=i.id,c=i.cache,s=n.response;if(!c||!u)throw n;var d=function(){if(!f(i.method,c.methods))return Promise.resolve(r(u,i)).then(function(){throw n})}();return Promise.resolve(d&&d.then?d.then(o):o())}catch(e){return Promise.reject(e)}};return{onFulfilled:n,onRejected:o,apply:function(){return e.interceptors.response.use(n,o)}}}var C=function(e){return!!e&&!!e["is-storage"]};function j(e){var t=e.data.headers;return a.ETag in t||a.LastModified in t||a.XAxiosCacheEtag in t||a.XAxiosCacheLastModified in t}function A(e){return!String(e.data.headers[a.CacheControl]).includes("must-revalidate")&&(!!j(e)||"cached"===e.state&&void 0!==e.staleTtl&&Math.abs(Date.now()-(e.createdAt+e.ttl))<=e.staleTtl)}function E(e){return void 0!==e.ttl&&e.createdAt+e.ttl<=Date.now()}function T(e){var t=e.set,r=e.find,n=e.remove;return{"is-storage":1,set:t,remove:n,get:function(e,a){try{return Promise.resolve(r(e,a)).then(function(r){var o;function i(t){return o?t:E(r)?j(r)?r:Promise.resolve(n(e,a)).then(function(){return{state:"empty"}}):r}if(!r)return{state:"empty"};if("empty"===r.state||"loading"===r.state)return r;var u=function(){if("cached"===r.state){var i=function(n){return o?n:(r={state:"stale",createdAt:r.createdAt,data:r.data,ttl:void 0!==r.staleTtl?r.staleTtl+r.ttl:void 0},Promise.resolve(t(e,r,a)).then(function(){}))};if(!E(r))return o=1,r;var u=function(){if(!A(r))return Promise.resolve(n(e,a)).then(function(){return o=1,{state:"empty"}})}();return u&&u.then?u.then(i):i(u)}}();return u&&u.then?u.then(i):i(u)})}catch(e){return Promise.reject(e)}}}}function O(e,t,r){void 0===e&&(e=!1),void 0===t&&(t=!1),void 0===r&&(r=!1);var n=T({set:function(t,a){if(r){var o=Object.keys(n.data);if(o.length>=r)for(n.cleanup(),o=Object.keys(n.data);o.length>=r;)delete n.data[o.shift()]}n.data[t]="double"===e?"function"==typeof structuredClone?structuredClone(a):JSON.parse(JSON.stringify(a)):a},remove:function(e){delete n.data[e]},find:function(t){var r=n.data[t];return e&&void 0!==r?"function"==typeof structuredClone?structuredClone(r):JSON.parse(JSON.stringify(r)):r}});return n.data=Object.create(null),n.cleanup=function(){for(var e,t,r=Object.keys(n.data),a=-1;++a<r.length;)"empty"!==(e=n.data[t=r[a]]).state?"cached"===e.state&&E(e)&&!A(e)&&n.remove(t):n.remove(t)},t&&(n.cleaner=setInterval(n.cleanup,t)),n}var M=/^\/|\/$/g;function D(e){return function(t){if(t.id)return t.id;var r=e(t);return"string"==typeof r||"number"==typeof r?""+r:""+n.hash(r)}}var L=D(function(e){var t=e.baseURL,r=e.url,n=e.method,a=e.params,o=e.data;return t=void 0!==t?t.replace(M,""):"",r=void 0!==r?r.replace(M,""):"",{url:t+(t&&r?"/":"")+r,params:a,method:n=void 0!==n?n.toLowerCase():"get",data:o}});e.Header=a,e.buildKeyGenerator=D,e.buildMemoryStorage=O,e.buildStorage=T,e.buildWebStorage=function(e,t){return void 0===t&&(t="axios-cache-"),T({find:function(r){var n=e.getItem(t+r);return n?JSON.parse(n):void 0},remove:function(r){e.removeItem(t+r)},set:function(r,n){var a=function(){return e.setItem(t+r,JSON.stringify(n))};try{return a()}catch(n){for(var o,i=Object.entries(e).filter(function(e){return e[0].startsWith(t)}).map(function(e){return[e[0],JSON.parse(e[1])]}),u=c(i);!(o=u()).done;){var s=o.value;"cached"===s[1].state&&E(s[1])&&!A(s[1])&&e.removeItem(s[0])}try{return a()}catch(t){for(var f,d=c(i.sort(function(e,t){return(e[1].createdAt||0)-(t[1].createdAt||0)}));!(f=d()).done;){e.removeItem(f.value[0]);try{return a()}catch(e){}}}e.removeItem(t+r)}}})},e.canStale=A,e.createCacheResponse=h,e.createValidateStatus=s,e.defaultHeaderInterpreter=o,e.defaultKeyGenerator=L,e.defaultRequestInterceptor=l,e.defaultResponseInterceptor=I,e.isExpired=E,e.isMethodIn=f,e.isStorage=C,e.setupCache=function(e,t){var r,n,a,i,u,c,s,f;void 0===t&&(t={});var d=e;if(d.defaults.cache)throw new Error("setupCache() should be called only once");if(d.storage=t.storage||O(),!C(d.storage))throw new Error("Use buildStorage() function");return d.waiting=t.waiting||{},d.generateKey=t.generateKey||L,d.headerInterpreter=t.headerInterpreter||o,d.requestInterceptor=t.requestInterceptor||l(d),d.responseInterceptor=t.responseInterceptor||I(d),d.debug=t.debug||function(){},d.defaults.cache={update:t.update||{},ttl:null!=(r=t.ttl)?r:3e5,methods:t.methods||["get","head"],cachePredicate:t.cachePredicate||{statusCheck:function(e){return[200,203,300,301,302,404,405,410,414,501].includes(e)}},etag:null==(n=t.etag)||n,modifiedSince:null!=(a=t.modifiedSince)?a:!1===t.etag,interpretHeader:null==(i=t.interpretHeader)||i,cacheTakeover:null==(u=t.cacheTakeover)||u,staleIfError:null==(c=t.staleIfError)||c,override:null!=(s=t.override)&&s,hydrate:null!=(f=t.hydrate)?f:void 0},d.requestInterceptor.apply(),d.responseInterceptor.apply(),d},e.testCachePredicate=y,e.updateCache=x,e.updateStaleRequest=d});
//# sourceMappingURL=index.bundle.js.map